<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.sale.mapper.purchase.EhsdPurchaseMapper">
    <select id="getPage" resultType="com.fjhx.sale.entity.purchase.vo.EhsdPurchaseVo">
        SELECT t1.*,
               t2.`name` AS supplyName
        FROM ehsd_purchase t1
                 LEFT JOIN bytesailing_supply.supplier_info t2 ON t1.sell_corporation_id = t2.id
            ${ew.customSqlSegment}
    </select>

</mapper>
